Get event schedule for a sport
curl --request GET \
--url https://therundown.io/api/v1/sports/{sportID}/schedule \
--header 'X-TheRundown-Key: <api-key>'import requests
url = "https://therundown.io/api/v1/sports/{sportID}/schedule"
headers = {"X-TheRundown-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-TheRundown-Key': '<api-key>'}};
fetch('https://therundown.io/api/v1/sports/{sportID}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schedules": [
{
"event_id": "09bfa53f8484a63e584398545c035932",
"event_uuid": "11f1-07a5-c61d4000-867b-48b2af0d735d",
"sport_id": 4,
"event_date": "2026-02-12T00:00:00Z",
"league_name": "National Basketball Association",
"season_type": "Regular Season",
"season_year": 2026,
"event_name": "Atlanta at Charlotte",
"teams_normalized": [
{
"team_id": 11,
"name": "Atlanta",
"mascot": "Hawks",
"abbreviation": "ATL",
"is_away": true,
"is_home": false
},
{
"team_id": 12,
"name": "Charlotte",
"mascot": "Hornets",
"abbreviation": "CHA",
"is_away": false,
"is_home": true
}
]
}
]
}V1 Sports (Legacy)
Get event schedule for a sport
GET
/
api
/
v1
/
sports
/
{sportID}
/
schedule
Get event schedule for a sport
Authorizations
Recommended API key request header for new integrations
Path Parameters
Sport ID. Common values: 1=NCAAF, 2=NFL, 3=MLB, 4=NBA, 5=NCAAB, 6=NHL, 7=UFC, 8=WNBA, 9=CFL, 10=MLS, 11=EPL, 16=UEFA Champions League, 33=UEFA Europa League, 38=ATP Tennis, 39=WTA Tennis, 40=PGA Tour Golf, 41=Formula 1
Query Parameters
Cursor for pagination — pass the last event UUID from previous page
Available options:
asc, desc Include team details when present
Response
200 - application/json
Schedule
Show child attributes
Show child attributes